commit:     2545f7f471daa791d070435f466b01591ca4f6ee
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  3 20:56:59 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Oct  3 20:56:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2545f7f4

sci-mathematics/geomview: Port to EAPI 7

Closes: https://bugs.gentoo.org/741578
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-mathematics/geomview/geomview-1.9.5-r1.ebuild | 29 ++++++++++++++---------
 1 file changed, 18 insertions(+), 11 deletions(-)

diff --git a/sci-mathematics/geomview/geomview-1.9.5-r1.ebuild 
b/sci-mathematics/geomview/geomview-1.9.5-r1.ebuild
index 0ffb2d155b8..6d077450ffb 100644
--- a/sci-mathematics/geomview/geomview-1.9.5-r1.ebuild
+++ b/sci-mathematics/geomview/geomview-1.9.5-r1.ebuild
@@ -1,22 +1,25 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit elisp-common eutils fdo-mime flag-o-matic
+inherit desktop elisp-common flag-o-matic xdg
 
 DESCRIPTION="Interactive Geometry Viewer"
 HOMEPAGE="http://geomview.sourceforge.net";
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2
+SRC_URI="
+       mirror://sourceforge/${PN}/${P}.tar.bz2
        https://dev.gentoo.org/~jlec/distfiles/geomview.png.tar";
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
 LICENSE="LGPL-2.1"
 SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
 IUSE="motionaveraging debug emacs zlib"
 
-DEPEND="x11-libs/motif:0
+DEPEND="
        virtual/glu
        virtual/opengl
+       x11-libs/motif:0
        emacs? ( >=app-editors/emacs-23.1:* )
        zlib? ( sys-libs/zlib )"
 RDEPEND="${DEPEND}
@@ -25,10 +28,11 @@ RDEPEND="${DEPEND}
 S="${WORKDIR}/${P/_/-}"
 
 SITEFILE="50${PN}-gentoo.el"
-PATCHES=( "${FILESDIR}/${PN}-1.9.5-zlib.patch" )
+PATCHES=( "${FILESDIR}"/${PN}-1.9.5-zlib.patch )
 
 src_configure() {
        econf \
+               --disable-static \
                --with-htmlbrowser=xdg-open \
                --with-pdfviewer=xdg-open \
                $(use_enable debug d1debug) \
@@ -40,7 +44,7 @@ src_compile() {
        default
 
        if use emacs; then
-               cp "${FILESDIR}/gvcl-mode.el" . || die
+               cp "${FILESDIR}"/gvcl-mode.el . || die
                elisp-compile *.el
        fi
 }
@@ -55,16 +59,19 @@ src_install() {
 
        if use emacs; then
                elisp-install ${PN} *.el *.elc
-               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+               elisp-site-file-install "${FILESDIR}"/${SITEFILE}
        fi
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
 }
 
 pkg_postinst() {
-       fdo-mime_desktop_database_update
+       xdg_pkg_postinst
        use emacs && elisp-site-regen
 }
 
 pkg_postrm() {
-       fdo-mime_desktop_database_update
+       xdg_pkg_postrm
        use emacs && elisp-site-regen
 }

Reply via email to